package classes;

import java.awt.Color;

public class TrackedDataSet {

	//Property Integers
	public static  final int CONSUMPTION = 0;
	public static final int PRODUCTION = 1;
	public static final int ACTIVATED_ELEMENTS = 2;

	//Variables of the Data Set
	private AbstractCpsObject cps;
	private int property;
	private Color color;

	/**
	 * Data Set for the StatisticGraoh
	 * 
	 * @param cps
	 *            the cps Object
	 * @param property
	 *            which value should be tracked
	 * @param color
	 *            color of the line in the graph
	 */
	public TrackedDataSet(AbstractCpsObject cps, int property, Color color) {
		this.cps = cps;
		this.property = property;
		this.color = color;
	}

	public AbstractCpsObject getCpsObject() {
		return this.cps;
	}

	public int getProperty() {
		return this.property;
	}

	public Color getColor() {
		return this.color;
	}
}
